[] spawn {
	[t] spawn UNS_a3b_fnc_refuelling_drop;
	p animate ["fuel_probe",1,true];
	sleep 10;

	while {(p modelToWorld (p selectionPosition "fueldoor")) distance (t modelToWorld (t selectionPosition "refuel_drogue")) > 7} do {
		// private _tankerVel = velocity t;
		// private _fuelerVel = _tankerVel vectorMultiply 1.5;
		// p setVelocity _fuelerVel;
		private _v = (p modelToWorld (p selectionPosition "fueldoor")) vectorFromTo (t modelToWorld (t selectionPosition "refuel_drogue")); // vectorMultiply 1.5;
		private _vP = velocity p;
		if (speed p < speed t + 50) then {
			 _vP = _vP vectorAdd _v;
		};
		if (speed p < speed t + 25) then {
			 _vP = _vP vectorAdd (_v vectorMultiply 0.25);
		};
		if (p distance t < 20) then {
			_vP = (velocity t) vectorMultiply 0.05;
		};
		p setVelocity _vP;
		sleep 0.05;
	};

	private _refuelPoint = (p selectionPosition "fueldoor") vectorMultiply -1;
	p attachTo [t, _refuelPoint, "refuel_drogue"];
	while {alive p and alive t and (fuel p) < 0.98} do {
		p setFuel ((fuel p) + 0.01);
		sleep 1;
	};
	detach p;
};

ttt_keepDistance = {
	params ["_plane", "_followPlane"];
	while {alive _plane and alive _followPlane} do {
		if (_plane distance _followPlane < 300) then {
			_plane setVelocity (velocity _followPlane);
		};
		sleep 0.1;
	};
	true;
};

[] spawn {
	private _bomberClass = "uns_A6_Intruder_BMB";
	private _wpPos = p getPos [10000, getDir p];
	{
		private _pos = p getPos [-100 * _x, getDir p - 10];
		_pos = [_pos select 0, _pos select 1, 1900];
		private _a6 = createVehicle [_bomberClass, _pos, [], 0, "FLY"];
		createVehicleCrew _a6;
		_a6 setDir (getDir p);
		_a6 setPosASL _pos;
		_a6 setFuel 0.5;
		_a6 flyInHeight 100;
		_a6 flyInHeightASL [1900,1900,1900];
		private _grp = group driver _a6;
		private _wp = _grp addWaypoint [_wpPos, 2000];
		_wp setWaypointSpeed "NORMAL";
		_wp setWaypointType "MOVE";
		// [_a6, t] spawn ttt_keepDistance;
	} forEach [1, 2, 3];


	_wpPos = p getPos [10000, (getDir p) + 20];
	{ 
		private _pos = p getPos [-100 * _x, getDir p + 10];
		_pos = [_pos select 0, _pos select 1, 1900];
		private _a6 = createVehicle [_bomberClass, _pos, [], 0, "FLY"];
		createVehicleCrew _a6;
		_a6 setDir (getDir p);
		_a6 setPosASL _pos;
		_a6 setFuel 0.5;
		_a6 flyInHeight 100;
		_a6 flyInHeightASL [1900,1900,1900];
		private _grp = group driver _a6;
		private _wp = _grp addWaypoint [_wpPos, 2000];
		_wp setWaypointSpeed "NORMAL";
		_wp setWaypointType "MOVE";
		// [_a6, t] spawn ttt_keepDistance;
	} forEach [4, 5, 6, 7];
};